<?php
/**
 * Template Name: Inside Folder Page
 */
if ( ! is_user_logged_in() ) {
  $url = get_the_permalink(207);
  wp_redirect( $url );
  exit;
}
$user = wp_get_current_user();
$current_user_id = $user->ID;

//----------Move Image To Folder-----------//
if (isset($_POST['move-img-btn'])){
  // echo '<pre>';
  // print_r($_POST);
  // die;
  if(count($_POST['move_images'])>0){
    foreach ($_POST['move_images'] as $key => $value) {
      global $wpdb;
      $fetch_folder_photo=$wpdb->get_results( "SELECT * FROM pc_folder_photo_relationships WHERE user_id = '".$_POST['current_user_id']."' AND `folder_id` = '".$_POST['folder_id']."' AND `photo_id` = '".$value."'" );
      // echo '<pre>';
      // print_r($fetch_folder_photo);
      // die;
        if(count($fetch_folder_photo)>0){
          //-------Image Already Exist in the fonder--------//
        }else{
          $wpdb->insert('pc_folder_photo_relationships',
              array(
                'folder_id' => $_POST['folder_id'],
                'photo_id' => $value,
                'user_id' => $_POST['current_user_id'],
                'moved_time' => Date('Y-m-d'),
              )
          );          
        }
    }
  }
}

$package_status = get_user_meta( $current_user_id, 'package_status', true );
if($package_status!='Active'){
  $url = site_url().'/#pricing';
  wp_redirect( $url );
  exit; 
}

$purchased_package_name = get_user_meta( $current_user_id, 'purchased_package_name', true );
$purchased_package_id = get_user_meta( $current_user_id, 'purchased_package', true );


get_header('inner'); ?>
<?php $ID = get_the_ID();
$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $ID ), 'full_image' );
?>

<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-medium text-weight-300 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-medium text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title(); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End About -->

<!-- About Content -->
<div class="about_content_area padding-top-bottom-100px">
   <!-- Container -->
   <div class="container">
      <?php if($_GET['folder_id']!=''){
        $fetch_folder_photo=$wpdb->get_results( "SELECT * FROM pc_folder_photo_relationships WHERE user_id = '".$current_user_id."' AND `folder_id` = '".$_GET['folder_id']."'" );
        if(count($fetch_folder_photo)>0){?>
        <?php foreach ($fetch_folder_photo as $key => $value) {
              $img_ID = $value->photo_id;
              $thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $img_ID ), 'full' );
              $alt_text = get_post_meta(get_post_thumbnail_id( $img_ID ), '_wp_attachment_image_alt', true);
        ?>
         <div class="images">
            <div class="uk-inline-clip uk-transition-toggle" tabindex="0" >
               <!-- Image -->
                <img src="<?php echo $thumbnail['0']; ?>" alt="<?php echo $alt_text;?>" />
                <!-- <input type="checkbox" class="move_images_chk_box" name="move_images[]" value="<?php echo $img_ID;?>"> -->
               <!-- Hover -->
               <div class="uk-transition-fade uk-position-cover uk-overlay uk-overlay-primary-extra-dark">
                  <div class="uk-position-top-left margin-50px">
                     <a href="#" data-uk-toggle="target: .photo-info-<?php echo $img_ID;?>">
                     <span data-uk-icon="icon: search; ratio: 2.4" class="text-lime margin-right-10px"></span>
                     </a>
                  </div>
                  <!-- Title -->
                  <!-- <div class="uk-position-bottom-left margin-50px">
                     <h1 class="title-extra-small text-weight-200 text-gradient-gold sm-text-weight-300"><?php the_title();?>.</h1>
                  </div> -->
                  <!-- End Title -->
               </div>
               <!-- End Hover -->
            </div>
            <!-- Photo Information Modal -->
            <div class="photo-info-<?php echo $img_ID;?> uk-modal-full" data-uk-modal>
               <!-- Modal Container -->
               <div class="uk-modal-dialog">
                  <!-- Close Icon -->
                  <button class="uk-modal-close-default" type="button" data-uk-close></button>
                  <!-- Modal Grid -->
                  <div class="uk-grid-collapse uk-child-width-1-2@s uk-flex-middle" data-uk-grid>
                     <!-- Modal Background Image Left -->
                     <div class="uk-background-cover modal-bg-2" style="background: url(<?php echo $thumbnail['0']; ?>); width: 100%;" data-uk-height-viewport></div>
                     <!-- Modal Information -->
                     <?php /*?>
                     <div class="padding-50px">
                        <div class="uk-flex uk-flex-column">
                           <!-- Title -->
                           <!-- <h1 class="text-weight-300 text-gray-dark margin-bottom-20px"><?php the_title();?>.</h1> -->
                           <!-- Description -->
                           <?php //the_content();?>
                              <!-- Info List -->
                              <!-- <ul class="no-list-style no-margin-top margin-bottom-25px no-padding">
                                 <li class="margin-bottom-10px"><span data-uk-icon="icon: user; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Author; pos: left"></span><span><a href="#"><?php the_field('photographer_name');?></a></span></li>
                                 <li class="margin-bottom-10px"><span data-uk-icon="icon: camera; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Device; pos: left"></span><span><?php the_field('camera');?></span></li>
                                 <li class="margin-bottom-10px"><span data-uk-icon="icon: cog; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Focal Length; pos: left"></span><span><?php the_field('focal_length');?></span></span></li>
                                 <li class="margin-bottom-10px"><span data-uk-icon="icon: nut; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Aperture; pos: left"></span><span><?php the_field('aperture');?></span></li>
                                 <li class="margin-bottom-10px"><span data-uk-icon="icon: clock; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Exposure; pos: left"></span><span><?php the_field('exposure');?></span></li>
                                 <li><span data-uk-icon="icon: settings; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: ISO; pos: left"></span><span><?php the_field('iso');?></span></li>
                              </ul> -->
                              <!-- End Info List -->
                        </div>
                        <!-- End Off-Canvas Bar -->
                     </div>
                     <?php */?>
                     <!-- End Modal Information -->
                  </div>
                  <!-- End Modal Grid -->
               </div>
               <!-- End Modal Container -->
            </div>
            <!-- End Photo Information Modal -->
         </div>
        <?php }?>
        <?php }else{?>
          <p class="text-weight-200 roboto text-white">No Image Found..!!</p>
        <?php }
      }else{?>      
      <?php
      $args = array(
          'posts_per_page'   => -1,
          'offset'           => 0,
          'post_type'        => 'photo',
          'author'        =>  $current_user_id,
          'post_status'      => 'publish'
        );
      query_posts($args);
      ?>
      <?php if (have_posts()) : ?>

        <div class="want-to-move">
         Do you want to move the photos to your folder? <a href="#" id="move-start">Click Here</a>
        </div> 
        <form name="move-image-to-folder-frm" id="move-image-to-folder-frm" action="" method="post" action="#"> 
        <?php while (have_posts()) : the_post();
      $img_ID = get_the_ID();
      $thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $img_ID ), 'full' );
      $alt_text = get_post_meta(get_post_thumbnail_id( $img_ID ), '_wp_attachment_image_alt', true);
   ?>
   <!-- Work -->
   <div class="images">
      <div class="uk-inline-clip uk-transition-toggle" tabindex="0" >
         <!-- Image -->
          <img src="<?php echo $thumbnail['0']; ?>" alt="<?php echo $alt_text;?>" />
          <input type="checkbox" class="move_images_chk_box" name="move_images[]" value="<?php echo $img_ID;?>">
         <!-- Hover -->
         <div class="uk-transition-fade uk-position-cover uk-overlay uk-overlay-primary-extra-dark">
            <div class="uk-position-top-left margin-50px">
               <a href="#" data-uk-toggle="target: .photo-info-<?php echo $img_ID;?>">
               <span data-uk-icon="icon: search; ratio: 2.4" class="text-lime margin-right-10px"></span>
               </a>
            </div>
            <!-- Title -->
            <!-- <div class="uk-position-bottom-left margin-50px">
               <h1 class="title-extra-small text-weight-200 text-gradient-gold sm-text-weight-300"><?php the_title();?>.</h1>
            </div> -->
            <!-- End Title -->
         </div>
         <!-- End Hover -->
      </div>
      <!-- Photo Information Modal -->
      <div class="photo-info-<?php echo $img_ID;?> uk-modal-full" data-uk-modal>
         <!-- Modal Container -->
         <div class="uk-modal-dialog">
            <!-- Close Icon -->
            <button class="uk-modal-close-default" type="button" data-uk-close></button>
            <!-- Modal Grid -->
            <div class="uk-grid-collapse uk-child-width-1-2@s uk-flex-middle" data-uk-grid>
               <!-- Modal Background Image Left -->
               <div class="uk-background-cover modal-bg-2" style="background: url(<?php echo $thumbnail['0']; ?>); width: 100%;" data-uk-height-viewport></div>
               <!-- Modal Information -->
               <?php /*?>
               <div class="padding-50px">
                  <div class="uk-flex uk-flex-column">
                     <!-- Title -->
                     <!-- <h1 class="text-weight-300 text-gray-dark margin-bottom-20px"><?php the_title();?>.</h1> -->
                     <!-- Description -->
                     <?php //the_content();?>
                        <!-- Info List -->
                        <!-- <ul class="no-list-style no-margin-top margin-bottom-25px no-padding">
                           <li class="margin-bottom-10px"><span data-uk-icon="icon: user; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Author; pos: left"></span><span><a href="#"><?php the_field('photographer_name');?></a></span></li>
                           <li class="margin-bottom-10px"><span data-uk-icon="icon: camera; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Device; pos: left"></span><span><?php the_field('camera');?></span></li>
                           <li class="margin-bottom-10px"><span data-uk-icon="icon: cog; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Focal Length; pos: left"></span><span><?php the_field('focal_length');?></span></span></li>
                           <li class="margin-bottom-10px"><span data-uk-icon="icon: nut; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Aperture; pos: left"></span><span><?php the_field('aperture');?></span></li>
                           <li class="margin-bottom-10px"><span data-uk-icon="icon: clock; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: Exposure; pos: left"></span><span><?php the_field('exposure');?></span></li>
                           <li><span data-uk-icon="icon: settings; ratio: 1" class="margin-right-10px position-relative bottom-2" data-uk-tooltip="title: ISO; pos: left"></span><span><?php the_field('iso');?></span></li>
                        </ul> -->
                        <!-- End Info List -->
                  </div>
                  <!-- End Off-Canvas Bar -->
               </div>
               <?php */?>
               <!-- End Modal Information -->
            </div>
            <!-- End Modal Grid -->
         </div>
         <!-- End Modal Container -->
      </div>
      <!-- End Photo Information Modal -->
   </div>
   <!-- End Work -->
   <?php endwhile;?>
   
    <?php $fetch_folders=$wpdb->get_results( "SELECT * FROM pc_image_folder WHERE user_id = '".$current_user_id."'" );
    if(count($fetch_folders)>0){
    ?>
    <div class="move-to">
     Move to: 
     <select name="folder_id">
      <option value="">Please Select</option>
      <?php foreach ($fetch_folders as $folder) {?>
        <option value="<?php echo $folder->id;?>"><?php echo $folder->folder_name;?></option>
      <?php }?>
     </select>
     <input type="hidden" name="current_user_id" value="<?php echo $current_user_id;?>">
     <input type="submit" name="move-img-btn" value="Continue">
   </div>
   <?php }?>
    </form>
   <?php else : ?>
      <p class="text-weight-200 roboto text-white">No Image Found..!!</p>
   <?php endif; wp_reset_query(); ?>        
      <?php }?>
   </div>
   <!-- End Container -->
</div>


<?php get_footer();?>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
<script type="text/javascript">
  jQuery(function($){
    $('.move_images_chk_box').hide();
    $( "#move-start" ).click(function( event ) {
      event.preventDefault();
      $('.move_images_chk_box').show();
    });
  });
</script>    