<?php
/**
 Template Name: Contact Page
*/

get_header(); 
$ID = get_the_ID();
?>

<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-large text-weight-300 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-large text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title($ID); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End About -->

<!-- Contact -->
<div id="contact" class="padding-top-bottom-50px">

   <!-- Container -->
   <div class="container">

      <!-- Row -->
      <div class="row">
      <div class="col-md-4 center-col margin-auto">
      <h2 style="font-size: 38px; color: #ffffff;">We can be contacted</h2>
Phone no : <a href="tel:+919830967550">+919830967550</a><br>
Email: <a href="mailto:pci@pciphotography.com">pci@pciphotography.com</a><br>
Address : BD-79 (1ST FLOOR)<br> Salt Lake - SEC-I,<br>
Kolkata - 700064<br>
North 24 Parganas, West Bengal<br>
India
            </div>
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center margin-auto">
         
            <!-- Contact Container -->
            <div class="container contact-wrapper">

               <!-- Form Container -->
                  <?php echo do_shortcode('[contact-form-7 id="113" title="Contact Form"]');?>
               <!-- End Form Container -->
               
            </div>
            <!-- End Contact Container -->
         
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End Contact -->

<?php get_footer(); ?>