<?php
/**
 * Template Name: User Dashboard
 */
if ( ! is_user_logged_in() ) {
  $url = get_the_permalink(207);
  wp_redirect( $url );
  exit;
}
get_header('inner'); ?>
<?php $ID = get_the_ID();
$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id( $ID ), 'full_image' );
?>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>
<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.css">

<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
      
      <!-- Dashboard Part-->
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-large text-weight-300 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-large text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title(); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->

      <!-- Dashboard Part-->


   <!-- End Container -->
</div>
<!-- End About -->


<!-- FAQ -->
<div class="row no-margin no-padding bg-black md-bg-gray-extra-dark">
   <!-- Column -->
   <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12 no-margin no-padding" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false">
      <!-- Image -->
      <div class="images" data-uk-lightbox="animation: fade">
         <div class="image_slider">
            <div class="item">
               <img src="https://pciphotography.com/wp-content/themes/pci-child/images/backgrounds/bg-13.jpg">
            </div>
            <div class="item">
               <img src="https://pciphotography.com/wp-content/themes/pci-child/images/backgrounds/bg-13.jpg">
            </div>  
            <div class="item">
               <img src="https://pciphotography.com/wp-content/themes/pci-child/images/backgrounds/bg-13.jpg">
            </div>    
         </div> 
      </div>
      <!-- End Image -->   
   </div>
   <!-- End Column -->
   <!-- Column -->
   <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12 no-margin no-padding uk-flex uk-flex-middle md-padding-top-bottom-150px md-padding-left-15px md-padding-right-15px">
      <!-- Container -->
      <div class="container">
         <!-- Row -->
         <div class="row" data-uk-scrollspy="cls: uk-animation-slide-right-medium; target: > div ; delay: 50; repeat: false">
            <!-- Product Description Column -->
            <div class="col-lg-10 col-md-12 col-sm-12 col-xs-12 center-col text-left md-text-center">
               <!-- Positioning -->
               <div class="position-relative overflow-hidden width-100 page-title-smaller">
                  <!-- Title -->
<?php
   // function rangeWeek ($datestr) {
   //    date_default_timezone_set (date_default_timezone_get());
   //    $dt = strtotime ($datestr);
   //    return array (
   //       "start" => date ('N', $dt) == 1 ? date ('Ymd', $dt) : date ('Ymd', strtotime ('last monday', $dt)),
   //       "end" => date('N', $dt) == 7 ? date ('Ymd', $dt) : date ('Ymd', strtotime ('next sunday', $dt))
   //    );
   // }
   // echo '<pre>';
   // print_r (rangeWeek(date('Ymd')));
?>
                  <ul class="menu_list">
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(358);?>"><span class="text-gray-light">Free entry in annual online/offline exhibition</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(442);?>"><span class="text-gray-light">Free entry to local photo-walk</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(444);?>"><span class="text-gray-light">Free entry to paid online classes</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(446);?>"><span class="text-gray-light">Free copy of Periodical Coffee Table Book</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(449);?>"><span class="text-gray-light">Discount on photo tours</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(474);?>"><span class="text-gray-light">Photo uploads per week</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(495);?>"><span class="text-gray-light">Photo storage</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(505);?>"><span class="text-gray-light">Folder</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(452);?>"><span class="text-gray-light">Take part in photo competitions for free in a year</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(455);?>"><span class="text-gray-light">Enjoy the site completely without advertising</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(457);?>"><span class="text-gray-light">Your own photo homepage with premium designs</span></a>
                     </li>
                     <li>
                        <a class="text-medium text-weight-400 all-border border-1px border-color-gray-extra-dark padding-10px" href="<?php echo get_the_permalink(459);?>"><span class="text-gray-light">Advertise your own dates or workshops in a year</span></a>
                     </li>
                  </ul>
               </div>
               <!-- End Positioning -->
            </div>
            <!-- End Product Description Column -->
         </div>
         <!-- End Row -->
      </div>
      <!-- End Container -->
   </div>
   <!-- End Column -->
</div>
<!-- End FAQ -->

<script type="text/javascript">
jQuery(function($){
   $('.image_slider').slick({
     dots:false,
     infinite: true,
     speed:1000,
     autoplay:true,
     pauseOnHover:false,
     arrows:false,
     slidesToShow:1,
     slidesToScroll:1
   });
});
</script>
<?php get_footer();?>
