<?php
/**
 Template Name: Maestro Lounge
*/

get_header(); 



$current_user = wp_get_current_user();

if(!empty($current_user)) {
    $user_id = $current_user->data->ID;
    $user_details = get_user_meta($user_id,$key = '',$single = false );
}
?>

<style>
.upgrade_bt {
    background: #c99c01;
    display: block;
    width: 15%;
    margin: 0 auto;
    color: #000;
    padding: 7px 14px;
    font-size: 19px;
    font-weight: 900;
	text-align: center;
}
</style>

<!-- About -->
<div id="about" class="image-bg-2 overlay-black-dense padding-top-bottom-150px">
   
   <!-- Container -->
   <div class="container">
   
      <!-- Row -->
      <div class="row" data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div ; delay: 150; repeat: false">

         
         <!-- Column -->
         <div class="col-md-8 col-sm-12 col-xs-12 center-col text-center uk-scrollspy-inview uk-animation-slide-bottom-medium" data-uk-scrollspy="cls: uk-animation-slide-left-medium; target: > div ; delay: 50; repeat: false" style="">
         
            <!-- Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h1 class="title-extra-large text-weight-300 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300" style="line-height:initial;"><?php the_field('banner_heading',$ID); ?></h1>
            <?php }else{ ?>
            <h1 class="title-extra-large text-weight-200 sm-width-90 margin-bottom-10px sm-margin-left-right-auto text-gradient-gold sm-text-weight-300"><?php the_title($ID); ?></h1>
            <?php } ?>
            
            <!-- Separator -->
            <div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px sm-margin-left-right-auto uk-scrollspy-inview uk-animation-slide-left-medium" style=""></div>

            <!-- Semi Title -->
            <?php if(!empty(get_field('banner_heading',$ID))){ ?>
            <h6 class="text-weight-200 roboto text-white margin-left-right-auto no-margin-bottom"><?php the_field('banner_text',$ID); ?></h6>
            <?php } ?>
            
            
         </div>
         <!-- End Column -->
         
      </div>
      <!-- End Row -->
      
   </div>
   <!-- End Container -->
</div>
<!-- End About -->



<!-- Categories -->
<div id="gallery" class="bg-black padding-top-bottom-50px">
   <!-- Container -->
   <div class="container-full">
	  <!-- Categories Grid -->
	  <div class="padding-15px">
		 <!-- Container -->
		 <div class="works uk-child-width-1-1@s uk-child-width-1-2@m uk-child-width-1-4@l uk-text-center uk-grid-small" data-uk-grid data-uk-scrollspy="cls: uk-animation-slide-bottom-medium; target: > div > a; delay: 150; repeat: false">
		 <?php
			$taxonomy = 'gallery_type';
			$term_args = array(
				'child_of'  => '48',
				'orderby' => 'id', 
				'hide_empty' => false,
			);
			$terms = get_terms($taxonomy, $term_args);   
		
			foreach ($terms as $term) {
			   $acf_terms = $taxonomy.'_'.$term->term_id;
			   $image = get_field('featured_image', $acf_terms);
		 ?>
			<div class="images">
			   <a href="<?php  echo get_term_link($term->term_id); ?>" class="uk-inline-clip uk-transition-toggle">
				  <!-- Image -->
				  <img src="<?php echo $image['sizes']['gallery-category-thumb'];?>" alt="<?php echo $image['alt'];?>" />
                   <?php /*if($user_details['profile_image'][0]!=''){*/?><!--<img src="<?php /* echo $user_details['profile_image'][0]; */?>" />--><?php /*}*/?>
				  <!-- Hover -->
				  <div class="uk-position-cover">
					 <div class="uk-position-center overlay-black padding-50px">
						<h4 class="no-margin-bottom roboto text-weight-200 text-gradient-gold sm-text-weight-300"><?php echo $term->name;?></h4>
						<div class="separator width-30px center-col bottom-border border-2px border-color-gray-dark margin-top-bottom-30px"></div>
						<p class="btn btn-small btn-white border-radius-50 sm-display-table sm-margin-left-right-auto no-margin-bottom">browse</p>
					 </div>
				  </div>
				  <!-- End Hover -->
			   </a>
			</div>
		 <?php } ?>
		 </div>
		 <!-- End Container -->
	  </div>
	  <!-- End Categories Grid -->
   </div>
   <!-- End Container -->
</div>
<!-- End Categories -->
		



<?php get_footer(); ?>