<?php
/**
 * The Sidebar containing the main widget area
 *
 * @package WordPress
 * @subpackage twentyfourteen-child
 * @since Twenty Fourteen Child 1.0
 */
 
 
$current_user = wp_get_current_user();

if(!empty($current_user)) {
	$user_id = $current_user->data->ID;
	$user_details = get_user_meta($user_id,$key = '',$single = false );
}	
?>
<div class="col-md-3 left_wid">
	<div class="row">				 
		<div class="dashboard_left">
			<?php if (user_can($current_user,'maestro')){ ?>
				<div class="profile_img"><?php if($user_details['profile_image'][0]!=''){?><img src="<?php  echo $user_details['profile_image'][0]; ?>" /><?php } else {?><img src="<?php echo get_stylesheet_directory_uri(); ?>/images/user_default.jpg"><?php } ?></div>
				<span class="name"><?php echo $user_details['first_name'][0];?>&nbsp;<?php echo $user_details['last_name'][0];?></span>				
			<?php }?>
			<ul class="dashboard_list">
				 <?php if (user_can($current_user,'maestro')) 
				 {?>
					<li><a href="<?php echo get_site_url(); ?>/maestro-dashboard">Dashboard</a></li>
					<li><a href="<?php echo get_site_url(); ?>/update-maestro-profile">Edit Profile</a></li>
					<li><a href="<?php echo get_site_url(); ?>/maestro-lounge-my-photos/">My Photos</a></li>			
					<li><a href="<?php echo get_site_url(); ?>/user-profile-page/?user=<?php echo $user_id;?>">Share Profile <span class="icon_link"><i class="fas fa-share-alt"></i></span></a></li>
					<li><a href="<?php echo wp_logout_url( home_url() ); ?>">Logout</a></li>
				 <?php } ?>
					
			</ul>
			<?php if (user_can($current_user,'maestro')){ ?>
				<div><a href="<?php echo get_site_url(); ?>/maestro-lounge-add-new-photo" class="upgrade_bt">ADD PHOTOS</a></div>
			<?php } ?>
		</div>
	</div>
</div>